According to the original plan, the Parrot parser will be the default parser for Groovy 3.0.0 eventually. But currently about 20 tests(e.g. different error messages) fail when setting Parrot as default, so we will try our best to fix them all before releasing GA version.

Cheers,
Daniel.Sun


-------- 原始邮件 --------
主题:Re: upcoming release(s)
发件人:"Russel Winder-3 [via Groovy]"
收件人:Daniel Sun
抄送:


On Sun, 2017-07-23 at 04:55 -0700, Daniel Sun wrote:
> Looking forward to 2.6.0 and 3.0.0, which contains the Parrot parser
> providing many new features :)
>
> p.s. use  -Dgroovy.antlr4=true  to enable the Parrot parser
>

Will the new parser not be the default in Groovy 3?

--
Russel.
=============================================================================
Dr Russel Winder      t: +44 20 7585 2200   voip: sip:[hidden email]
41 Buckmaster Road    m: +44 7770 465 077   xmpp: [hidden email]
London SW11 1EN, UK   w: www.russel.org.uk  skype: russel_winder

signature.asc (849 bytes) Download Attachment



If you reply to this email, your message will be added to the discussion below:
http://groovy.329449.n5.nabble.com/upcoming-release-s-tp5742269p5742277.html
To unsubscribe from upcoming release(s), click here.
NAML


View this message in context: 回复:upcoming release(s)
Sent from the Groovy Users mailing list archive at Nabble.com.